Skip to main content
`Ctrl`+`K`

# Kernel

class astropy.convolution.Kernel(array)

  Bases: `object`

  Convolution kernel base class.

  Parameters:
    array `ndarray`

      Kernel array.

  Attributes Summary

  `array` | Filter kernel array.
  `center` | Index of the kernel center.
  `dimension` | Kernel dimension.
  `is_bool` | Indicates if kernel is bool.
  `model` | Kernel response model.
  `separable` | Indicates if the filter kernel is separable.
  `shape` | Shape of the kernel array.
  `truncation` | Absolute deviation of the sum of the kernel array values from one.

  Methods Summary

  `normalize`([mode]) | Normalize the filter kernel.

  Attributes Documentation

  array

    Filter kernel array.

  center

    Index of the kernel center.

  dimension

    Kernel dimension.

  is_bool

    Indicates if kernel is bool.

    If the kernel is bool the multiplication in the convolution could be omitted, to increase the performance.

  model

    Kernel response model.

  separable

    Indicates if the filter kernel is separable.

    A 2D filter is separable, when its filter array can be written as the outer product of two 1D arrays.

    If a filter kernel is separable, higher dimension convolutions will be performed by applying the 1D filter array consecutively on every dimension. This is significantly faster, than using a filter array with the same dimension.

  shape

    Shape of the kernel array.

  truncation

    Absolute deviation of the sum of the kernel array values from one.

  Methods Documentation

  normalize(mode='integral')

    Normalize the filter kernel.

    Parameters:
      mode{‘integral’, ‘peak’}
        One of the following modes:
          - ‘integral’ (default)

              Kernel is normalized such that its integral = 1.

          - ‘peak’

              Kernel is normalized such that its peak = 1.